const cardRenderer = (() => {
    function to_html(card) {
        var card_div = document.createElement("div");
        card_div.setAttribute("id", card.id);
        card_div.setAttribute("class", "flex_display_icons");

        var background_icons = document.createElement("div");
        background_icons.setAttribute("class", "background_icons");
        
        var img = document.createElement("img");
        img.setAttribute("class", "flex_icons");
        img.setAttribute("src", card.img);

        var card_title = document.createElement("h4");
        card_title.textContent = card.title;

        var card_description = document.createElement("p");
        card_description.textContent = card.description;

        background_icons.appendChild(img);
        card_div.appendChild(background_icons);
        card_div.appendChild(card_title);
        card_div.appendChild(card_description);

        return card_div;
    }

    function render(cards) {
        const container = document.getElementById("flex_icon_left");

        var top_container = document.createElement("div");
        top_container.setAttribute("class", "container_icons");

        var bottom_container = document.createElement("div");
        bottom_container.setAttribute("class", "container_icons");
        
        // On assume qu'il y a 6 cartes
        for(var i = 0; i < cards.length; i++) {
            if (i < 3) {
                top_container.appendChild(to_html(cards[i]));
            } else {
                bottom_container.appendChild(to_html(cards[i]));
            }
        }

        container.appendChild(top_container);
        container.appendChild(bottom_container);
    };

    return {
        render: render
    }
})();