const contentLoader = (() => {
    function load(method, url) {

        return new Promise(function (resolve, reject) {
            var request = new XMLHttpRequest();

            request.onreadystatechange = function () {
                if (this.readyState === XMLHttpRequest.DONE) {
                    if (this.status === 200) {
                        const resultObject = JSON.parse(this.responseText);
                        resolve(resultObject);
                    } else {
                        reject({
                            status: this.status,
                            statusText: request.statusText
                        });
                    }
                }
            };

            request.onerror = function () {
                reject({
                    status: this.status,
                    statusText: request.statusText
                });
            };
            request.open(method, url, true);
            request.send();
        });
    }

    return {
        load: load
    };
})();